Skip to main content
POST
/
open-api
/
catalog
/
product
Criar produto
curl --request POST \
  --url https://api.mginex.com/open-api/catalog/product \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "<string>",
  "categoryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "info": {
    "title": "<string>",
    "description": "<string>",
    "images": [
      "<string>"
    ],
    "youtubeLink": "<string>",
    "instructions": "<string>"
  },
  "pricing": {
    "price": 1.1,
    "comparation": 123
  },
  "inventory": {
    "type": "SERIAL",
    "content": "<string>",
    "fileName": "<string>"
  },
  "utils": {
    "hideSales": true,
    "hideProduct": true,
    "minQuantity": 123
  },
  "chat": {
    "enabled": true,
    "autoMessages": [
      "<string>"
    ]
  }
}
'
{
  "success": true,
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}

Authorizations

Authorization
string
header
required

Token de API gerado no painel da Mginex em Configurações > Open API

Body

application/json
type
string
required
Allowed value: "DEFAULT"
categoryId
string<uuid>
required
info
object
required
pricing
object
required
inventory
object
required
utils
object
chat
object

Response

200 - application/json

Produto criado com sucesso

success
boolean
data
object